#include <bits/stdc++.h>
using namespace std;
vector<int> getVisionPattern1d(){
    return {1, 2, 3, 1};
}

int getMove1d(vector<int> v){
    int n = v.size();
    if(v[n / 2] != 3){
        for(int i = 0; i < n; i++){
            if(v[i] == 3) return i;
        }
    }
    if(v[4] == 1) return 6;
    return 0;
}

vector<vector<int>> getVisionPattern2d(){
    return {{1}};
}

pair<int, int> getMove2d(vector<vector<int>> v){
    return {0, 0};
}
